POST api/Worklocation/PostWorklocationExtension
Request Information
URI Parameters
None.
Body Parameters
WorkLocationExtensionDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| WorkLocationCode | string |
String length: inclusive between 0 and 20 |
|
| IsGroupTesting | boolean |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"WorkLocationCode": "sample string 1",
"IsGroupTesting": true,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:25:49.9512276-07:00",
"DateUpdated": "2026-08-04T14:25:49.9512276-07:00",
"UserIDCreated": 6,
"UserIDUpdated": 7,
"CompanyCode": "sample string 8",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfWorkLocationExtensionDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | WorkLocationExtensionDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"WorkLocationCode": "sample string 1",
"IsGroupTesting": true,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:25:49.9668435-07:00",
"DateUpdated": "2026-08-04T14:25:49.9668435-07:00",
"UserIDCreated": 6,
"UserIDUpdated": 7,
"CompanyCode": "sample string 8",
"IsExcludeDiscount": true
},
"totalCount": 3
}